spago-0.21.0

Safe Haskell | None
Language | Haskell2010

Spago.TH

Synopsis

- embedFileUtf8 :: FilePath -> Q Exp

# Documentation

embedFileUtf8 :: FilePath -> Q Exp #

This is here so that we can embed files as Utf8 Text. The reason for that is that since we have unicode Dhall files, if you compile on a non-unicode system you'll get weirdly encoded stuff.

TL;DR: don't use embedStringFile.

This comes from: https://github.com/snoyberg/file-embed/issues/27#issuecomment-411694346